Bug 983148 - [abrt] git-review-1.18-2.fc19: git-review:212:add_remote:Exception: Could not connect to gerrit at ssh://marcos_sb@review.openstack.org:29418/openstack/nova.git
[abrt] git-review-1.18-2.fc19: git-review:212:add_remote:Exception: Could not...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: git-review (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
abrt_hash:56e79095dfa59e608ca24676df7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 11:48 EDT by Marcos Salgueiro Balsa
Modified: 2013-10-13 14:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 11:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.00 KB, text/plain)
2013-07-10 11:48 EDT, Marcos Salgueiro Balsa
no flags Details
File: core_backtrace (392 bytes, text/plain)
2013-07-10 11:48 EDT, Marcos Salgueiro Balsa
no flags Details
File: environ (2.97 KB, text/plain)
2013-07-10 11:48 EDT, Marcos Salgueiro Balsa
no flags Details

  None (edit)
Description Marcos Salgueiro Balsa 2013-07-10 11:48:23 EDT
Version-Release number of selected component:
git-review-1.18-2.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/git-review -s
executable:     /usr/bin/git-review
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
git-review:212:add_remote:Exception: Could not connect to gerrit at ssh://marcos_sb@review.openstack.org:29418/openstack/nova.git

Traceback (most recent call last):
  File "/usr/bin/git-review", line 1021, in <module>
    main()
  File "/usr/bin/git-review", line 1017, in main
    print_exit_message(options.func(options, config))
  File "/usr/bin/git-review", line 819, in do_upload
    (remote, branch) = check_remote(options, config)
  File "/usr/bin/git-review", line 356, in check_remote
    add_remote(hostname, port, project, remote)
  File "/usr/bin/git-review", line 212, in add_remote
    raise Exception("Could not connect to gerrit at %s" % remote_url)
Exception: Could not connect to gerrit at ssh://marcos_sb@review.openstack.org:29418/openstack/nova.git

Local variables in innermost frame:
username: 'marcos_sb'
remote: 'gerrit'
hostname: 'review.openstack.org'
project: 'openstack/nova.git'
asked_for_username: False
port: '29418'
remote_url: 'ssh://marcos_sb@review.openstack.org:29418/openstack/nova.git'
Comment 1 Marcos Salgueiro Balsa 2013-07-10 11:48:27 EDT
Created attachment 771720 [details]
File: backtrace
Comment 2 Marcos Salgueiro Balsa 2013-07-10 11:48:30 EDT
Created attachment 771721 [details]
File: core_backtrace
Comment 3 Marcos Salgueiro Balsa 2013-07-10 11:48:32 EDT
Created attachment 771722 [details]
File: environ
Comment 4 Pete Zaitcev 2013-10-08 16:08:31 EDT
Marcos, may I close this as NOTABUG?
Comment 5 Marcos Salgueiro Balsa 2013-10-09 03:08:59 EDT
Yes, please!
Thanks for notifying me.
Comment 6 chen.li 2013-10-11 21:56:01 EDT
I met the same error.
Can you share me how you solve this ??

Thanks a lot !

(In reply to Marcos Salgueiro Balsa from comment #5)
> Yes, please!
> Thanks for notifying me.
Comment 7 Marcos Salgueiro Balsa 2013-10-13 14:44:15 EDT
Hi,

I can't recall exactly what was causing this. I ran into a lot of trouble when connecting through my college's proxy. Slow pulls in general and often I couldn't even connect to gerrit which could have generated this bug report in abrt.

I'm sorry I couldn't help you out.

Cheers.

Note You need to log in before you can comment on or make changes to this bug.